Search documentation of ash

# Ash.Test (ash v3.4.71)

View Source

Testing helpers for Ash.

# Summary

## Functions

assert_has_error(changeset_query_or_input, error_class \\ nil, callback, opts \\ [])

Assert that the given changeset, query, or action input has a matching error.

refute_has_error(changeset_query_or_input, error_class \\ nil, callback, opts \\ [])

Refute that the given changeset, query, or action input has a matching error.

strip_metadata(structs)

Clears the `__metadata__` field and the underlying ecto `__meta__` field

# Functions

# assert_has_error(changeset_query_or_input, error_class \\ nil, callback, opts \\ [])

Assert that the given changeset, query, or action input has a matching error.

Use the optional second argument to assert that the errors (all together) are of a specific class.

# refute_has_error(changeset_query_or_input, error_class \\ nil, callback, opts \\ [])

Refute that the given changeset, query, or action input has a matching error.

The `error_class` argument has been deprecated and should not be used.

# strip_metadata(structs)

Clears the `__metadata__` field and the underlying ecto `__meta__` field

This allows for easier comparison of changeset/query results